### Constructor

# Camel MimeFilterBasic new

#### Declaration [src]

    CamelMimeFilter*
    camel_mime_filter_basic_new (
      CamelMimeFilterBasicType type
    )

#### Description [src]

Create a new `CamelMimeFilterBasic` object of type `type`.

#### Parameters

`type`

  Type: `CamelMimeFilterBasicType`

  A `CamelMimeFilterBasicType` type.

#### Return value

Type: `CamelMimeFilter`

A new `CamelMimeFilterBasic` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.